%define oname  xfce4-appfinder
%define iconname  %{oname}.png

Summary: 	Find every application in the system
Name: 		xfce-appfinder
Version: 	4.2.1
Release: 	1andyrtr
License:	GPL
URL: 		http://www.xfce.org/
Source0: 	xfce4-appfinder-%{version}.tar.bz2
Group: 		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires:  xfce-mcs-manager-devel 
BuildRequires:	dbh-devel 
BuildRequires:	ImageMagick

%description
Xfce Appfinder is an useful software that permits you to find 
every application in the system supporting Desktop entry format.

%prep
%setup -q -n %{oname}-%{version}

%build
%configure2_5x --sysconfdir=%_sysconfdir/X11
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std  

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert src/%{oname}.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{iconname}
convert src/%{oname}.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert src/%{oname}.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname}

cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
	command="%{oname}" \
	icon="%{iconname}" \
	title="Xfce-appfinder" \
	longtitle="Application finder" \
	needs="x11" \
	section="System/File Tools"
EOF

%find_lang xfce4-appfinder

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name} -f xfce4-appfinder.lang
%defattr(-,root,root)
%doc README ChangeLog INSTALL COPYING AUTHORS 
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/xfce4/doc/C/*
%{_datadir}/pixmaps/*
%{_menudir}/%{name}
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}


%changelog
* Sun Mar 20 2005 AndyRTR <andreas.radke@freenet.de> 4.2.1-1andyrtr
- rebuild for Mandrake 10.1

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Tue Dec 28 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-2mdk
- buildrequires ImageMagick

* Sun Dec 26 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)
- update file list

* Thu Nov 18 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.1-1mdk
- 1st Mdk release
 
